Subject: bug#22344: 25.0.50 (and 24.5.1, 24.4); Sending 4097 bytes to a subprocess hangs Emacs on Windows 8 and 10

From: Clément Pit--Claudel <[email-masked]>
Date: Mon, 11 Jan 2016 11:11:42 -0500

On 01/11/2016 10:37 AM, Eli Zaretskii wrote:
> So someone with access to the programs in question will have to step
> with a debugger through the code involved in this (I can point to the
> relevant parts of the Emacs C code), and find out what goes wrong
> there, and why.  Alternatively, if a reproducible test case can be
> posted with a simple program which reads its stdin and causes the
> hang, I will try debugging it myself.  (By "simple program" I meant
> something that won't involve installing lots of other packages,
> ideally something as simple as a batch file calling 'cat' or a similar
> program.)

Hi Eli,

Thanks for looking into this. Would a recipe requiring node.js and jshint be too much? Node.js has a windows installer and jshint can be installed with npm install --global jshint.

Clément.